services:
  web:
    build:
      context: .
    command: ["sh", "-c", "npm install && npm run dev -- --host 0.0.0.0 --port 80"]
    environment:
      PUBLIC_SITE_URL: ${PUBLIC_SITE_URL}
      PUBLIC_PPR_API_BASE: ${PUBLIC_PPR_API_BASE}
      DIRECTUS_URL: ${DIRECTUS_URL}
      DIRECTUS_PUBLIC_URL: ${DIRECTUS_PUBLIC_URL}
      DIRECTUS_TOKEN: ${DIRECTUS_TOKEN:-}
      DIRECTUS_DEBUG: ${DIRECTUS_DEBUG:-}
      DIRECTUS_HOMEPAGE_BANNER_FOLDER: ${DIRECTUS_HOMEPAGE_BANNER_FOLDER}
      DIRECTUS_PORT: ${DIRECTUS_PORT}
      DIRECTUS_ADMIN_TOKEN: ${DIRECTUS_ADMIN_TOKEN}
    restart: unless-stopped
    volumes:
      - ./:/app
      - ./public/images:/app/public/images
      - web_node_modules:/app/node_modules
      - web_astro:/app/.astro
    networks:
      - default
      - webapps

volumes:
  db_data:
  web_node_modules:
  web_astro:

networks:
  default:
  webapps:
    external: true
